<?php
/*
    =========================================
        SiteConfig
    =========================================
*/

class SiteConfig
{
  public static function menu ()
  {
    return [

    ];
  }

  public static function routes ()
  {
    return [

      [
        'url' => '/fr',
        'name' => 'fr-home'
      ],

      [
        'url' => '/en',
        'name' => 'en-home'
      ],

      [
        'url' => '/it',
        'name' => 'it-home'
      ],

      [
        'url' => '/zh',
        'name' => 'zh-home'
      ],

      [
        'url' => '/fr/legals',
        'name' => 'legals'
      ],

      [
        'url' => '/en/legals',
        'name' => 'legals'
      ],

      [
        'url' => '/it/legals',
        'name' => 'legals'
      ],

      [
        'url' => '/zh/legals',
        'name' => 'legals'
      ],
      

    ];
  }

  public static function lang ()
  {
    //return ['fr', 'en', 'it'];
	return ['fr', 'en'];
  }

  public static function legal_post_types ()
  {
    return [



    ];
  }

  public static function defineConst ()
  {
    define('MAIN_LANGUAGE', self::lang()[0]);
    define('DEFAULT_POST_TYPE', 'project');
  }

}
